## fatrat-unpack 1.1.1

=== debian/changelog ===
fatrat-unpack (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #537066).

 -- Cristian Greco <cristian@regolo.cc>  Thu, 26 Nov 2009 20:11:07 +0100
