=== debian/control ===
Source: fatrat-unpack
Section: non-free/net
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.0.50),
               cmake (>= 2.6.0),
               fatrat-dev (>= 1.1.1),
               libzip-dev
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-unpack.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-unpack.git
Homepage: http://fatrat.dolezel.info
DM-Upload-Allowed: yes

Package: fatrat-unpack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fatrat (>= 1.1.1)
Enhances: fatrat
Description: non-free fatrat plugin for unpacking archives inside the application
 FatRat is a feature rich download manager written in C++ and built on
 top of Qt4 library, including many download protocols and a plugin system.
 .
 This package contains a plugin for FatRat which allows you to unpack archives
 inside the application. Currently supported formats are Rar and Zip.
