## fatrat-unpack 1.1.2

=== debian/changelog ===
fatrat-unpack (1.1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump up standards-version to 3.8.4 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sat, 20 Feb 2010 01:38:06 +0100
