## fatrat-unpack 1.1.3

=== debian/changelog ===
fatrat-unpack (1.1.3-2) unstable; urgency=low

  * Rebuild against new libzip2 for SONAME change (Closes: #658549).
  * debian/control: set my @d.org email address and drop DMUA field.

 -- Cristian Greco <cristian@debian.org>  Sun, 05 Feb 2012 15:05:08 +0100

fatrat-unpack (1.1.3-1) unstable; urgency=low

  * New upstream version.
    - debian/control:
      + bump (build-)dep on fatrat(-dev) to (>= 1.1.3).
      + bump up Standards-Version to 3.9.1 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sat, 09 Oct 2010 00:00:30 +0200
