=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_NLS=ON -DWITH_ZIP=ON -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"

override_dh_makeshlibs:
	dh_makeshlibs -Xfatrat-unpack
	# avoid problems with incorrect parsing of private libraries
	# (plugins) having an hyphen in their name (#384424).
