=== debian/watch ===
version=3
http://www.dolezel.info/download/data/fatrat-unpack/fatrat-unpack-(.*)\.tar\.gz
